Package org.multiverse.stms.gamma

## Class ThreadLocalGammaObjectPool

- java.lang.Object
- - org.multiverse.stms.gamma.ThreadLocalGammaObjectPool

-     public final class ThreadLocalGammaObjectPool
      extends Object

  A ThreadLocal that contains the `GammaObjectPool`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ThreadLocal<GammaObjectPool>` | `threadlocal` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GammaObjectPool` | `getThreadLocalGammaObjectPool()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### threadlocal

          public static final ThreadLocal<GammaObjectPool> threadlocal

  - ### Method Detail

    - #### getThreadLocalGammaObjectPool

          public static GammaObjectPool getThreadLocalGammaObjectPool()